package com.yd.dal.entity.agms.hiring;

import java.util.Date;

/**
 * @author xxy
 */
public class PractitionerHiringApproveRecords {

    /**
     * 审批步骤名称
     */
    private String approveStepName;

    /**
     * 执行动作的审批经纪人
     */
    private String approvingPractitionerName;

    /**
     * 1：通过，0：驳回
     */
    private String approvingStatus;

    /**
     * 备注，驳回原因
     */
    private String rejectNote;

    /**
     * 审批时间
     */
    private String hiringAt;


    /**
     * 获取 审批步骤名称
     *
     * @return approveStepName 审批步骤名称
     */
    public String getApproveStepName() {
        return this.approveStepName;
    }

    /**
     * 设置 审批步骤名称
     *
     * @param approveStepName 审批步骤名称
     */
    public void setApproveStepName(String approveStepName) {
        this.approveStepName = approveStepName;
    }

    /**
     * 获取 执行动作的审批经纪人
     *
     * @return approvingPractitionerName 执行动作的审批经纪人
     */
    public String getApprovingPractitionerName() {
        return this.approvingPractitionerName;
    }

    /**
     * 设置 执行动作的审批经纪人
     *
     * @param approvingPractitionerName 执行动作的审批经纪人
     */
    public void setApprovingPractitionerName(String approvingPractitionerName) {
        this.approvingPractitionerName = approvingPractitionerName;
    }

    /**
     * 获取 1：通过，0：驳回
     *
     * @return approvingStatus 1：通过，0：驳回
     */
    public String getApprovingStatus() {
        return this.approvingStatus;
    }

    /**
     * 设置 1：通过，0：驳回
     *
     * @param approvingStatus 1：通过，0：驳回
     */
    public void setApprovingStatus(String approvingStatus) {
        this.approvingStatus = approvingStatus;
    }

    /**
     * 获取 备注，驳回原因
     *
     * @return rejectNote 备注，驳回原因
     */
    public String getRejectNote() {
        return this.rejectNote;
    }

    /**
     * 设置 备注，驳回原因
     *
     * @param rejectNote 备注，驳回原因
     */
    public void setRejectNote(String rejectNote) {
        this.rejectNote = rejectNote;
    }

    /**
     * 获取 审批时间
     *
     * @return hiringAt 审批时间
     */
    public String getHiringAt() {
        return this.hiringAt;
    }

    /**
     * 设置 审批时间
     *
     * @param hiringAt 审批时间
     */
    public void setHiringAt(String hiringAt) {
        this.hiringAt = hiringAt;
    }

    @Override
    public String toString() {
        return "PractitionerHiringApproveRecords{" +
                "approveStepName='" + approveStepName + '\'' +
                ", approvingPractitionerName='" + approvingPractitionerName + '\'' +
                ", approvingStatus=" + approvingStatus +
                ", rejectNote='" + rejectNote + '\'' +
                ", hiringAt=" + hiringAt +
                '}';
    }
}
